import React, {useState} from 'react';
import ReactDOM from 'react-dom';
import { Face } from './Face';
import { range } from 'd3';

const width=960;
const height = 500;

const eyeRadius = 30;
const initialMousePosition = {x: width /2,  y: height /2};


//const array = range(6 * 3);

const App = () => {
  
  const handleMouseEvent = (event) => {
  
	const {clientX , clientY} = event;
  
  setMousePosition({x:clientX, y:clientY});
};
  
  
  const [mousePosition, setMousePosition] = useState(initialMousePosition);
  
  return (
  <svg width={width} height={height} onMouseMove={handleMouseEvent}>
      <circle
      cx={mousePosition.x}
      cy={mousePosition.y}
      r={eyeRadius}
    />
    </svg>
);
                  };

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);